jQuery(window).ready(function() {

  // Hide Header on on scroll down
  var didScroll;
  var lastScrollTop = 0;
  var delta = 5;
  var navbarHeight = jQuery('.top-nav-container').outerHeight();

  jQuery(window).scroll(function(event){
      didScroll = true;
      // console.log('true scroll');
  });

  setInterval(function() {
      if (didScroll) {
          hasScrolled();
          didScroll = false;
          // console.log('False');
      }
  }, 250);

  function hasScrolled() {
      var st = jQuery(window).scrollTop();
      
      // Make sure they scroll more than delta
      if(Math.abs(lastScrollTop - st) <= delta)
          return;
      
      // If they scrolled down and are past the navbar, add class .nav-up.
      // This is necessary so you never see what is "behind" the navbar.
      if (st > lastScrollTop && st > navbarHeight){
          // Scroll Down
          jQuery('body').removeClass('nav-down').addClass('nav-up');
          // jQuery( '.site-header' ).removeClass( 'full-width' ).addClass( 'large-4 columns end' );
      } else {
          // Scroll Up
          if(st + jQuery(window).height() < jQuery(document).height()) {
              jQuery('body').removeClass('nav-up').addClass('nav-down');
              // jQuery( '.site-header' ).removeClass( 'large-4 columns end' ).addClass( 'full-width' );
          }
      }
      
      lastScrollTop = st;
  }

});