<?php
// template for previous and next navigion for sections see inc/theme-support.php - get_course_sections_navigation().

$data = get_query_var( 'template_data' ); ?>

<nav aria-label="Pagination">
    <ul class="section-next-prev menu no-bullet">
    <?php if ( ! empty( $data['prev']['id'] ) ) : ?>

        <li>
            <a href="<?php echo esc_url( $data['prev']['url'] ); ?>" aria-label="Previous page" class="pagination-previous button secondary"><svg class="ui-icon" aria-hidden="true"><use xlink:href="#chevron-left"></use></svg> Previous<span class="show-for-sr">: <?php echo esc_html( $data['prev']['title'] ); ?> section</span></a>
        </li>

    <?php endif; ?>

    <?php if ( !empty( $data['next']['id']  )) : ?>

        <li>
            <a href="<?php echo esc_url( $data['next']['url'] ); ?>" class="pagination-next button success" aria-label="Next page">Next: <strong><em><?php echo esc_html( $data['next']['title'] ); ?> <span class="show-for-sr">section</span></strong></em> <svg class="ui-icon" aria-hidden="true"><use xlink:href="#chevron-right"></use></svg></a>
        </li>

    <?php endif; ?>
    </ul>
</nav>

