<?php

//Call function to get course naming convention
$section_name = UBC_WP_CLF_Lite::get_course_content_name_convention();

//Query to get custom post type section objects
$get_parent_ids = \UBC\Press\Utils::get_section_list();

//Our args array for  $sections_parent_list_query query
foreach ( $get_parent_ids as $parent ) :


	$args_parent = array(
		 'post_type' => 'section',
		 'posts_per_page' => -1,
		 'page_id' => $parent,
		 'orderby' => 'menu_order parent date',
		 'order' => 'ASC',
	);

	$args_childern = array(
		 'post_type' => 'section',
		 'posts_per_page' => -1,
		 'post_parent' => $parent,
		 'orderby' => 'menu_order parent date',
		 'order' => 'ASC',
	);

	// Our new parent query
	$sections_parent_list_query = new WP_Query( $args_parent );
	// Our new child query
	$sections_child_list_query = new WP_Query( $args_childern );
	//Start path and template paths for loop templates
	$startPath = trailingslashit( dirname( __FILE__ ) ) . '../template-parts';
	$section_list_parent_templ = 'courses-section-list-parent.php';
	$course_section_list_templ = 'courses-section-list.php';

	//Parent loop called by $sections_parent_list_query
	if ( $sections_parent_list_query->have_posts() ) : ?>

		<?php while ( $sections_parent_list_query->have_posts() ) : $sections_parent_list_query->the_post(); ?>

			<?php \UBC\Helpers::locate_template_part_in_plugin( $startPath, $section_list_parent_templ, true, false, $section_name ); ?>

				<?php //Child loop called by sections_child_list_query
				if ( $sections_child_list_query->have_posts() ) : ?>

				<?php echo '<div class="sections-container">'; ?>

						<?php echo '<ul class="sub-section-list no-bullet">'; ?>

						<?php while ( $sections_child_list_query->have_posts() ) : $sections_child_list_query->the_post(); ?>

							<?php \UBC\Helpers::locate_template_part_in_plugin( $startPath, $course_section_list_templ, true, false ); ?>

						<?php endwhile; ?>

						<?php echo '</ul><!-- end .subsection-list -->'; ?>

					<?php echo '</div><!-- end .sections-container -->'; ?>

				<?php echo '</div><!-- .accordion-content -->'; ?>

			<?php echo '</section>'; ?>

			<?php wp_reset_postdata();

				else :

					echo '<div class="panel callout radius">There are currently no sub sections. <a href="#"><span class="dashicons dashicons-info"></span> Learn more</a>.</div>';

				endif; //end child loop ?>

			<?php endwhile;

			wp_reset_postdata();

		else :

			echo '<p>These aren\'t the droids you\'re looking for</p>';

		endif; //end parent loop

endforeach;
