<?php
/**
 * The template for displaying all single sections.
 *
 * @package wp-clf-lite
 */

get_header();

?>

	<div id="primary" <?php WP_CLF_Lite_Content_Classes::primary_content_class(); ?> >
		<main id="main" <?php WP_CLF_Lite_Content_Classes::main_content_class(); ?>>

		<?php while ( have_posts() ) : the_post(); ?>

			<?php get_template_part( 'template-parts/content', 'single-section' ); ?>
			<footer>
				<?php do_action( 'course_sections_navigation' ); ?>
				<?php edit_post_link('Edit content', '<br /><p>', '</p>','','small button secondary'); ?>
			</footer>

			<?php
				// If comments are open or we have at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;
			?>

		<?php endwhile; // End of the loop. ?>
		</main><!-- #main -->
	</div><!-- #primary -->

<?php get_footer(); ?>
