<?php
/**
* Template for section parent listings
* loadd by course_sidebar_sections_list_sections ()  functions.php
*
* @author David Brabbins
* @since 1.0
*/

// Setup some varible for the loop
$section_name = get_query_var( 'template_data' );
$section_description		= get_post_meta( get_the_ID(), '_section_description_content', true );

?>
<section class="accordion-item" data-accordion-item>
		<a href="#" class="accordion-title">
			<header>
				<h2 class="parent-section-title">
						<?php if ( ! empty( $section_name ) ) : ?>
							<span class="section-name"><?php echo esc_html( $section_name ); ?></span>
						<?php endif; ?>
						<span class="section-title"><?php the_title(); ?></span>
				</h2>
			</header>

		</a>
		<div class="accordion-content" data-tab-content>
		<?php if ( ! empty( $section_description ) ) : ?>

			<div class="section-main-description">
				<p><?php echo wp_kses_post( $section_description ); ?></p>
			</div><!-- end .section-main-description -->

		<?php endif;
